# Interface KeyStore.Entry

All Known Implementing Classes:
  `KeyStore.PrivateKeyEntry, KeyStore.SecretKeyEntry, KeyStore.TrustedCertificateEntry`

Enclosing class:
  `KeyStore`

public static interface KeyStore.Entry
A marker interface for `KeyStore` entry types.

Since:
  1.5

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Interface
  Description
  `static interface`
  `KeyStore.Entry.Attribute`
  An attribute associated with a keystore entry.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `default Set<KeyStore.Entry.Attribute>`
  `getAttributes()`
  Retrieves the attributes associated with an entry.

- ## Method Details

  - ### getAttributes

    default Set<KeyStore.Entry.Attribute> getAttributes()
    Retrieves the attributes associated with an entry.
    Implementation Requirements:
      The default implementation returns an empty `Set`.
    Returns:
      an unmodifiable `Set` of attributes, possibly empty
    Since:
      1.8